## org.eclipse.ocl
Interface EnvironmentFactory.Lookup<PK,C,O,P,EL,PM,S,COA,SSA,CT,CLS,E>

Enclosing interface:
  EnvironmentFactory<PK,C,O,P,EL,PM,S,COA,SSA,CT,CLS,E>

    public static interface EnvironmentFactory.Lookup<PK,C,O,P,EL,PM,S,COA,SSA,CT,CLS,E>

Optional adapter interface for look-up methods that throw `LookupException`s on abnormal failures (usually ambiguous names).

Since:
  1.2

Method Summary
`Environment<PK,C,O,P,EL,PM,S,COA,SSA,CT,CLS,E>` `tryCreatePackageContext(Environment<PK,C,O,P,EL,PM,S,COA,SSA,CT,CLS,E> parent, List<String> pathname)` Creates an environment suitable for parsing OCL expressions in the specified package context.

Method Detail

### tryCreatePackageContext

    Environment<PK,C,O,P,EL,PM,S,COA,SSA,CT,CLS,E> tryCreatePackageContext(Environment<PK,C,O,P,EL,PM,S,COA,SSA,CT,CLS,E> parent,
                                                                           List<String> pathname)
                                                                           throws LookupException

  Creates an environment suitable for parsing OCL expressions in the specified package context. This context will become a classifier context when the "self" variable is defined.

  Parameters:
    `pathname` - the qualified package name (the "::"-separated parts)
  Returns:
    the environment or null if lookup fails to locate a package
  Throws:
    `LookupException` - if package lookup encounters an error such as an ambiguity
  See Also:
    `EnvironmentFactory.createClassifierContext(org.eclipse.ocl.Environment<PK, C, O, P, EL, PM, S, COA, SSA, CT, CLS, E>, C)`, `EnvironmentFactory.createOperationContext(org.eclipse.ocl.Environment<PK, C, O, P, EL, PM, S, COA, SSA, CT, CLS, E>, O)`, `EnvironmentFactory.createAttributeContext(org.eclipse.ocl.Environment<PK, C, O, P, EL, PM, S, COA, SSA, CT, CLS, E>, P)`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.